// AXCAC01View.h : interface of the CAXCAC01View class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_AXCAC01VIEW_H__570BBB90_D82D_46A8_B84E_E8C1D98EBFCF__INCLUDED_)
#define AFX_AXCAC01VIEW_H__570BBB90_D82D_46A8_B84E_E8C1D98EBFCF__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "BmpBtn.h"

class CAXCAC01View : public CFormView
{
protected: // create from serialization only
	CAXCAC01View();
	DECLARE_DYNCREATE(CAXCAC01View)

public:
	//{{AFX_DATA(CAXCAC01View)
	enum{ IDD = IDD_AXCAC01_FORM };
	// NOTE: the ClassWizard will add data members here
	CBmpBtn		m_Title1Btn;
	CBmpBtn		m_Title2Btn;
	CBmpBtn		m_CFBmpBtn;
	CBmpBtn		m_LogoBtn;
	CBmpBtn		m_ADBtn;
	CBmpBtn		m_DABtn;
	CBmpBtn		m_BmpBtn;
	CStatic		m_TitleCFCtrl;
	CStatic		m_TitleCOMCtrl;
	//}}AFX_DATA

// Attributes
public:
	CAXCAC01Doc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAXCAC01View)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnInitialUpdate();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnDraw(CDC* pDC);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CAXCAC01View();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	UINT	m_uTimer;//dOFFh~p^C}
// Generated message map functions
protected:
	//{{AFX_MSG(CAXCAC01View)
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnAdButton();
	afx_msg void OnDaButton();
	afx_msg void OnGpioButton();
	afx_msg void OnEndButton();
	afx_msg void OnDestroy();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	CFont		m_SelFont;
	CFont		m_TitleFont;
};

#ifndef _DEBUG  // debug version in AXCAC01View.cpp
inline CAXCAC01Doc* CAXCAC01View::GetDocument()
   { return (CAXCAC01Doc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft eMbedded Visual C++ ͑Os̒Oɒǉ̐錾}܂B

#endif // !defined(AFX_AXCAC01VIEW_H__570BBB90_D82D_46A8_B84E_E8C1D98EBFCF__INCLUDED_)
